package registrovehicular;

import static javax.swing.JOptionPane.showMessageDialog;

import java.awt.EventQueue;
import java.awt.List;
import java.util.ArrayList;
import java.util.Vector;
import javax.swing.JInternalFrame;
import javax.swing.JTable;
import javax.swing.table.DefaultTableModel;

import javax.swing.JScrollPane;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.awt.event.ActionEvent;

public class MostrarVehiculos extends JInternalFrame {
	private JTable table;
	public MostrarVehiculos(RegistroVehicular principal) {
		super("Tabla de Vehiculos", true,true, true);
		setBounds(100, 100, 750, 500);
		getContentPane().setLayout(null);
		
		JScrollPane scrollPane = new JScrollPane();
		scrollPane.setBounds(10, 11, 683, 328);
		getContentPane().add(scrollPane);
		
		table = new JTable();
		scrollPane.setViewportView(table);
		
		JButton btnActualizar = new JButton("Actualizar");
		btnActualizar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				String [] encabezados={"Placa","Marca","Modelo","Dueo","Color"};
				Object datos[][]=null;
				int renglon=0;
				FileReader archivo=null;
				BufferedReader leer=null;
				try {
					archivo=new FileReader("vehiculos.csv");
					leer=new BufferedReader(archivo); //Optimizar accesos a Disco
					datos=new Object[(int) leer.lines().count()][];
					leer.close();
					archivo=new FileReader("vehiculos.csv");
					leer=new BufferedReader(archivo);
					String linea;
					do {
						linea=leer.readLine(); //Lee una linea de texto del archivo
						if (linea!=null) {
							Vehiculo auto=new Vehiculo(linea.split(","));
							datos[renglon]=new Object[5];
							datos[renglon][0]=auto.getNoPlaca();
							datos[renglon][1]=auto.getMarca();
							datos[renglon][2]=auto.getModelo();
							datos[renglon][3]=auto.getDueyo();
							datos[renglon][4]=auto.getColor();
							renglon++;
						}
					} while (linea!=null);
					
				} catch (IOException ex) {
					showMessageDialog(null,"Error al abrir archivo");
				} finally {
					try {
						leer.close();
					} catch (Exception e) {
						showMessageDialog(null,"Error al cerrar archivo");
					}
				}
				DefaultTableModel modelo=new DefaultTableModel(datos,encabezados);
				table.setModel(modelo);
			}
		});
		btnActualizar.setBounds(250, 350, 150, 50);
		getContentPane().add(btnActualizar);
		setVisible(true);
	}
}
