package registrovehicular;

import java.awt.EventQueue;

import javax.swing.JInternalFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;


import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class AltaVehiculo extends JInternalFrame {
	private JTextField txtPlaca;
	private JTextField txtMarca;
	private JTextField txtModelo;
	private JTextField txtDueyo;
	private JTextField txtColor;
	Vehiculo vehiculox;
	OperacionesArchivos operaArchivo=new OperacionesArchivos(); //Crea una instancia para usar operaciones sobre archivos
	private RegistroVehicular principal;
	private JPanel contentPanel;
	

	/**
	 * Create the frame.
	 */
	public AltaVehiculo(String titulo, boolean tamao, 
			boolean cerrar, boolean maximizar,
			RegistroVehicular padre) {
		super(titulo, tamao,cerrar, maximizar);
		principal=padre;
		contentPanel=(JPanel) this.getContentPane();
		contentPanel.setLayout(null);

		JLabel lblNumeroDePlaca = new JLabel("Numero de Placa:");
		lblNumeroDePlaca.setBounds(20, 31, 128, 30);
		getContentPane().add(lblNumeroDePlaca);
		
		txtPlaca = new JTextField();
		txtPlaca.setBounds(178, 35, 116, 22);
		getContentPane().add(txtPlaca);
		txtPlaca.setColumns(10);
		
		JLabel lblMarca = new JLabel("Marca:");
		lblMarca.setBounds(20, 73, 56, 16);
		getContentPane().add(lblMarca);
		
		txtMarca = new JTextField();
		txtMarca.setBounds(178, 70, 463, 22);
		getContentPane().add(txtMarca);
		txtMarca.setColumns(10);
		
		JLabel lblModelo = new JLabel("Modelo:");
		lblModelo.setBounds(20, 108, 56, 16);
		getContentPane().add(lblModelo);
		
		txtModelo = new JTextField();
		txtModelo.setBounds(178, 105, 56, 22);
		getContentPane().add(txtModelo);
		txtModelo.setColumns(4);
		
		JLabel lblNewLabel = new JLabel("Nombre del due\u00F1o:");
		lblNewLabel.setBounds(20, 142, 133, 16);
		getContentPane().add(lblNewLabel);
		
		txtDueyo = new JTextField();
		txtDueyo.setBounds(178, 139, 463, 22);
		getContentPane().add(txtDueyo);
		txtDueyo.setColumns(10);
		
		JLabel lblColor = new JLabel("Color:");
		lblColor.setBounds(20, 177, 56, 16);
		getContentPane().add(lblColor);
		
		txtColor = new JTextField();
		txtColor.setBounds(178, 174, 116, 22);
		getContentPane().add(txtColor);
		txtColor.setColumns(20);
		
		JButton btnAceptar = new JButton("Aceptar");
		btnAceptar.setBounds(225, 251, 97, 25);
		getContentPane().add(btnAceptar);
		
		JButton btnCancelar = new JButton("Cancelar");
		btnCancelar.setBounds(362, 251, 97, 25);
		getContentPane().add(btnCancelar);
		
		btnAceptar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
					try {
					   String placax=txtPlaca.getText();
					   String marcax=txtMarca.getText();
					   int modelox=Integer.parseInt(txtModelo.getText());
					   String dueyox=txtDueyo.getText();
					   String colorx=txtColor.getText();
					   vehiculox=new Vehiculo(placax,marcax,modelox,dueyox,colorx);
					   operaArchivo.escribiArchivo("vehiculos.csv", vehiculox.toString(), true);
					   dispose();
					} catch (Exception ex){
						ex.printStackTrace();
						JOptionPane.showMessageDialog(null,"Datos incorrectos o error al guardar");
					}
			}
		});
	btnCancelar.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent e) {
			vehiculox=null;dispose();
		}
	});
	setBounds(100,100,685,344);
	setVisible(true);
}
}

